<?
 /*SCRIPT PARA MANTENIMIENTO DE PREGUNTAS DE SELECCION MULTIPLE */
 /*DESARROLLADO POR: JOSE EFREN MONTERROSO SOLARES jefren@galileo.edu*/
  include("../fnc.php");
  enlinea_c();
  if(!$tipo_trn){
    alert("Parámetros incorrectos","javascript:history.go(-1)");
  }
  
//  error_reporting(E_ALL);
  switch($tipo_trn){
   case "Add":
   $tmpimg=$_FILES["img1"]["tmp_name"];
   $img_name=$_FILES["img1"]["name"];
   
   //echo $img_name." ".$tmpimg;
   
   if($txtpregunta==""){
     alert("ERROR: Debe ingresar una pregunta","javascript:history.go(-1)");
   }
   /*
   no sirve aquí!!!
   if(!$tmpimg){
     alert("ERROR: La respuesta correcta no puede estar vacía $tmpimg","javascript:history.go(-1)");
   }
   */
   $id_ev=dec($ide);
   
   $ext=strtolower(substr($HTTP_POST_FILES["img1"]["name"],-3));
   if($ext!="jpg" && $ext!="gif" && $ext!="png" && $ext!="bmp"){
     alert("ERROR: tipo de imágen no permitido $ext","javascript:history.go(-1)");
   }
   
   
   if(!$txtcontiempo){$txtcontiempo="N";}
   if(!$txtminutos){$txtminutos=0;}
   if(!$txtsegundos){$txtsegundos=0;}
   $sql="insert into ev_m_preguntas (pregunta, valor, evaluacion, con_tiempo, minutos, segundos, fecha, imagen)
                     values ('$txtpregunta',$txtvalor,$id_ev,'$txtcontiempo',$txtminutos, $txtsegundos,'$fechahora','S')";
//   echo $sql."<p>";
   $ins=mysql_query($sql);
   $id_pr=mysql_insert_id();
   // AGREGAR LAS OPCIONES DE LA PREGUNTA
     for($i=1;$i<=$nops;$i++){
      $imagen=$HTTP_POST_FILES["img$i"]["tmp_name"];
      if(!$imagen){
        continue;
      }
      
      $_crr="N";
      if($i==$txtcorrecta){
       $_crr="S";
      }
      
      if($imagen){
      $sql="insert into ev_m_opciones (pregunta, opcion, correcta) values ('$id_pr','imagen','$_crr')";
      $insop=mysql_query($sql);
      $idrimg=mysql_insert_id();
      
      if(copy($imagen,"../img_r_ev/{$idrimg}.{$ext}")){
         @chmod("../img_r_ev/{$idrimg}.{$ext}",0777);
         $imghtml="[[imagen:$ext]]";
         $upd=runsql("update ev_m_opciones set opcion = '$imghtml' where id = '$idrimg'");
      }else{
         $del=runsql("delete from ev_m_opciones where id = '$idrimg'");
      }
      //echo $sql."<br>";
      
      }
     }
     //     mensaje y redireccion a pagina de preguntas
     //alert("Pregunta agregada","index2.php?op=frm_info_prg&ide=$ide");
     redireccionar("index2.php?op=frm_info_prg&ide=$ide");
   break;
   
   
   
   case "Update":
   if($txtpregunta==""){
     alert("ERROR: Debe ingresar una pregunta","javascript:history.go(-1)");
   }
   /*
   if($txtopcion[$txtcorrecta]==""){
     alert("ERROR: La respuesta correcta no puede estar vacía","javascript:history.go(-1)");
   }
   */
   $id_ev=dec($ide);
   $id_pr=dec($pid);
   
   if(!$txtcontiempo){$txtcontiempo="N";}
   if(!$txtminutos){$txtminutos=0;}
   if(!$txtsegundos){$txtsegundos=0;}
   $sql="update ev_m_preguntas
         set pregunta='$txtpregunta',
         valor='$txtvalor',
         evaluacion='$id_ev',
         con_tiempo='$txtcontiempo',
         minutos='$txtminutos',
         segundos='$txtsegundos'
         where id = $id_pr";
//   echo $sql."<p>";
   $upd=mysql_query($sql);
   // AGREGAR LAS OPCIONES DE LA PREGUNTA
   //$qdel_op=mysql_query("delete from ev_m_opciones where pregunta = $id_pr");
    
     for($i=1;$i<=$nops;$i++){
      $tmpimg=$_FILES["img$i"]["tmp_name"];
      $img_name=$_FILES["img$i"]["name"];
      $ext=strtolower(substr($img_name,-3));
      $idop="idop$i";
      $idrimg=$$idop;
      $imagen=$tmpimg;
      
      if(!$tmpimg){
      //echo "Valor de i: $i<br>";
      //echo "la imagen $i no existe<br>";
      //echo "id de la respuesta: $idrimg<br>";
      continue;}
      
      $_crr="N";
      if($i==$txtcorrecta){
       $_crr="S";
      }
      
      /*
      if($txtopcion[$i]!=""){
      $sql="insert into ev_m_opciones (pregunta, opcion, correcta) values ('$id_pr','{$txtopcion[$i]}','$_crr')";
      //echo $sql."<br>";
      $insop=mysql_query($sql);
      }
      */
      
      if(!empty($idrimg)){
        if(copy($imagen,"../img_r_ev/{$idrimg}.{$ext}")){
           @chmod("../img_r_ev/{$idrimg}.{$ext}",0777);
           $imghtml="[[imagen:$ext]]";
           $upd=runsql("update ev_m_opciones set opcion = '$imghtml' where id = '$idrimg'");
        }else{
           //echo "No se copió la imagen";
           //$del=runsql("delete from ev_m_opciones where id = '$idrimg'");
        }
      }else{
        $sql="insert into ev_m_opciones (pregunta, opcion, correcta) values ('$id_pr','[[imagen:$ext]]','$_crr')";
        $insop=mysql_query($sql);
        $idrimg=mysql_insert_id();
        
        if(copy($imagen,"../img_r_ev/{$idrimg}.{$ext}")){
           @chmod("../img_r_ev/{$idrimg}.{$ext}",0777);
           //$imghtml="[[imagen:$ext]]";
           //$upd=runsql("update ev_m_opciones set opcion = '$imghtml' where id = '$idrimg'");
        }else{
           //echo "No se copió la imagen";
           //$del=runsql("delete from ev_m_opciones where id = '$idrimg'");
        }
      }
     
     }//fin del ciclo de las imágenes
     //     mensaje y redireccion a pagina de preguntas
     alert("Pregunta actualizada","index2.php?op=frm_preguntas_evaluacion&ide=$ide");
   break;
   
   case "Delete_Opcion": 
                       $id_op=dec($idop);
                       $iop=runsql("select * from ev_m_opciones where id = '$id_op'");
                       $info=registro($iop);
                       $ext=substr($info[opcion],9,3);
                       unlink("../img_r_ev/{$id_op}.{$ext}");
                       $del=eliminar("ev_m_opciones","id='$id_op'");
                       echo "Eliminado";
   break;
   
   default:
    alert("Parámetros incorrectos","javascript:history.go(-1)");
  }
?>
